document.addEventListener('deviceready', onDeviceReadyMain, false);
 function onDeviceReadyMain() {	
	 var currPage=window.location.pathname;
	if(currPage.indexOf("index")!=-1 || currPage.indexOf("register")!=-1 || currPage.indexOf("login")!=-1 ) {
	  	 document.addEventListener("backbutton", eventBackButton, false); 
	 }
	 document.addEventListener("offline", onOffline, false);
	document.addEventListener("online", onOnline, false);	
}


function eventBackButton(){ 
	window.plugins.toast.showShortBottom('再点击一次退出！');  
	document.removeEventListener("backbutton", eventBackButton, false); //注销返回键  
	document.addEventListener("backbutton", exitApp, false);//绑定退出事件
	//3秒后重新注册，恢复正常的返回功能  
	var intervalID = window.setInterval(function() {  
		window.clearInterval(intervalID);  
		document.removeEventListener("backbutton", exitApp, false); // 注销返回键  
		document.addEventListener("backbutton", eventBackButton, false); //返回键  
	},3000);  
	function exitApp(){
		navigator.app.exitApp();
	}
}  

function confirmMsg(msg){
  var myDate = new Date();
	var myTime=myDate.getTime();
  var lastTime= window.sessionStorage.getItem("lastconfirm"); 
	if ((myTime- lastTime) > 3000) {
   			showToast(msg);  
    	  window.sessionStorage.setItem("lastconfirm", myTime);
    	  return false;
  }
	return true;
}
function showToast(txt){
	if(txt=="") return false;
	var $toast = $('#toast');
	if ($toast.css('display') != 'none') return;
	$(".weui-toast__content").text(txt);
	$toast.fadeIn(100);
	setTimeout(function () {
		$toast.fadeOut(100);
	}, 2000);
}
function showLongToast(txt){
	if(txt=="") return false;
	var $toast = $('#toast');
	if ($toast.css('display') != 'none') return;
	$(".weui-toast__content").text(txt);
	$toast.fadeIn(100);
	setTimeout(function () {
		$toast.fadeOut(100);
	}, 4000);
}
function getUrlParam(varname){
	var query = window.location.search.substring(1);
	query=decodeURI(query);
	var pairs = query.split("&");
	for (var i=0;i<pairs.length;i++) {
		var pair = pairs[i].split("=");
		if(pair[0]==varname){return pair[1];}
	}
	return "";
}

function openUrl(url){
		url=decodeURI(url);
		window.location.href=url;
}

function getToday(){
		var myDate = new Date;
		var currDate=myDate.getFullYear() +"-"+(myDate.getMonth()+1)+"-"+myDate.getDate();
		return(currDate);
}


function getUserSession(item) {
	var userinfo=window.sessionStorage.getItem("userinfo");
	if(userinfo){
		userinfo=JSON.parse(userinfo);
		return userinfo[item];
	} 
	return "";
}
function saveUserSession(item,itemval) {
	var userinfo=window.sessionStorage.getItem("userinfo");
	if(userinfo){
		userinfo=JSON.parse(userinfo);
		userinfo[item]=itemval;
		window.sessionStorage.setItem("userinfo",JSON.stringify(userinfo));
	}
}
function getMainSession(item) {
	var maininfo=window.sessionStorage.getItem("maininfo");
	if(maininfo){
		maininfo=JSON.parse(maininfo);
		return maininfo[item];
	} 
	return "";
}
//自动静默登陆-不跳转页面-不实时刷新
function autoLogin(){
	var userid=window.sessionStorage.getItem("userid");
	if(!userid) userid=window.localStorage.getItem("appuserid");
	if(userid){
		var sessid=window.sessionStorage.getItem("sessid");
		$.ajax({type:"POST",url: "http://www.iucrm.cn/crmwap/autologin.php",
			data:{sessid: sessid,userid: userid},
			dataType:"json",
			success: function(msg){
				if(msg.userid) {
					window.sessionStorage.setItem("sessid",msg.sessid);
					window.sessionStorage.setItem("userid",msg.userid);
					window.sessionStorage.setItem("userinfo",JSON.stringify(msg.user));
					window.sessionStorage.setItem("maininfo",JSON.stringify(msg.main));
					//是否允许自动登录
					if(msg.main.autologin>0) window.localStorage.setItem("appuserid",msg.userid);
					else window.localStorage.removeItem('appuserid');
				}
			}
		});
	} 
}
//页面session保护
function checkPageAuth(pagelevel){
	if(!pagelevel) pagelevel=2;
	var userid=window.sessionStorage.getItem("userid");
	if(!userid) userid=window.localStorage.getItem("appuserid");
	if(userid){
		var sessid=window.sessionStorage.getItem("sessid");
		$.ajax({type:"POST",url: "http://www.iucrm.cn/crmwap/autologin.php",
			data:{sessid: sessid,userid: userid},
			dataType:"json",
			success: function(msg){
				if(msg.userid) {
					window.sessionStorage.setItem("sessid",msg.sessid);
					window.sessionStorage.setItem("userid",msg.userid);
					window.sessionStorage.setItem("userinfo",JSON.stringify(msg.user));
					window.sessionStorage.setItem("maininfo",JSON.stringify(msg.main));
					//是否允许自动登录
					if(msg.main.autologin>0) window.localStorage.setItem("appuserid",msg.userid);
					else window.localStorage.removeItem('appuserid');
				}else{
					if(pagelevel==1)window.location="login.html";
					else window.location="../login.html";
				}
			}
		});	
	}else{
			if(pagelevel==1)window.location="login.html";
			else window.location="../login.html";
	}
}

function onOffline(){ 
		window.plugins.toast.showLongCenter('网络暂无法连接，请检查');  
} 
function onOnline(){ 
	var networkState = navigator.connection.type;
	if (networkState !== Connection.NONE){
		//window.plugins.toast.showLongCenter('网络恢复正常');  
		window.location.reload();
	}else{
		onOffline();
	}
} 

//判断当前用户是否超级管理员
function isSuper(){
	var purview=getUserSession("purview");
	if(!purview) return(false);
	if(purview.indexOf("super")!=-1) return(true);
	else return(false);
}